Loading...
Searching...
No Matches
System.idl
/* SPDX-License-Identifier: BSD-3-Clause */
/*
* Copyright 2011 Raritan Inc. All rights reserved.
*/
/**
* Low-Level system access methods
*/
module sys {
/** System access methods */
interface System {
/**
* Check whether a daemon process is running.
*
* @param name Daemon name
*
* @return \c true if the daemon process is running
*/
boolean isDaemonRunning(in string name);
/**
* Restart a daemon process.
*
* @param name Daemon name
*/
void restartDaemon(in string name);
};
}
sys::System
System access methods.
Definition System.idl:12
sys::System::isDaemonRunning
boolean isDaemonRunning(in string name)
Check whether a daemon process is running.
sys::System::restartDaemon
void restartDaemon(in string name)
Restart a daemon process.
sys
Low-Level system access methods.
Definition System.idl:9